Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 2)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 13, 14, 15 ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Urigeller23
n00b
n00b


Joined: 09 Mar 2005
Posts: 33

PostPosted: Mon Nov 17, 2008 7:04 pm    Post subject: Reply with quote

hi wrc1994,

thanks for the suggestions but I'm afraid, they didn't work. I'm mostly on amd64, so bison
was already installed as the current stable version 2.3. I tried to remerge bison, python and sip but it didn't help.
Here is the build.log and the environment in case anyone is interested.
Back to top
View user's profile Send private message
alchark
n00b
n00b


Joined: 19 Feb 2008
Posts: 9

PostPosted: Mon Nov 17, 2008 8:03 pm    Post subject: Reply with quote

In case somebody finds it helpful, here is the ebuild I used to get live konq-plugins merged (to be used with kde-crazy):
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

HOMEPAGE="http://www.kde.org"
KMNAME="extragear"
KMMODULE="base"
inherit kde4-base

DESCRIPTION="Various plugins for Konqueror"
LICENSE="GPL-2"
KEYWORDS=""
IUSE="debug htmlhandbook"
SLOT="live"

DEPEND="kde-base/konqueror"
RDEPEND="${RDEPEND}"

src_prepare() {
   if ! use htmlhandbook; then
      sed -i \
         -e "s:macro_optional_add_subdirectory(doc):#nada:g" \
         -e "s:add_subdirectory( doc ):#nada:g" \
         CMakeLists.txt || die "sed doc failed"
   fi
}
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Mon Nov 17, 2008 10:49 pm    Post subject: Reply with quote

Urigeller23,
Over on the Arch forum (in markc's kde subversion thread) there was some talk on the pykde4 problem last week. Here's a quote question & answer- maybe it will have a clue. I guess maybe one could try commenting out kde-smoke in a kdebindings CMakeLists.txt file, and try compiling. Or, keep an eye on the websvn trunk and see when a new kde-smoke commit fix is made.
Quote:
Q: Does anyone know what the deal is with the kdebindings? I don't see python bindings there, i see ruby however, is there something I am missing? I want to utilize pykde4 bindings.

A: Problem with kdebindings is smoke-kde. Yes, it should be possible to compile bindings without it, but that would be rather unfortunate build since smoke is related to everything else in kdebindings.And, as u still need smoke, it would mean compiling smoke from branches, but I don't know how effective it would be. I've experimented with it for a while, but no luck.

BTW, I was wrong- I didn't ever have pykde4 compiled. :oops: I would have sworn I saw it in one of my emerge lists (having trouble keeping all the kde4 installs I have running on different distros straight in my head :roll: )
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
no4b
Bodhisattva
Bodhisattva


Joined: 18 Jan 2004
Posts: 774
Location: Tarnów, Poland

PostPosted: Tue Nov 18, 2008 9:29 am    Post subject: Reply with quote

Is there any solution for not working alt+tab?
_________________
GTK2/GNOME - The weakest link!
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Tue Nov 18, 2008 9:36 am    Post subject: Reply with quote

In which kde version?
Ensure you have kde-base/kdeglobalaccel installed
_________________
Maciek
Back to top
View user's profile Send private message
no4b
Bodhisattva
Bodhisattva


Joined: 18 Jan 2004
Posts: 774
Location: Tarnów, Poland

PostPosted: Tue Nov 18, 2008 6:11 pm    Post subject: Reply with quote

Installation of this package solved the problem.
_________________
GTK2/GNOME - The weakest link!
Back to top
View user's profile Send private message
pholthau
Guru
Guru


Joined: 27 Nov 2005
Posts: 361
Location: Bielefeld, Germany

PostPosted: Tue Nov 18, 2008 11:10 pm    Post subject: Reply with quote

Is there any way to get KMail working with GnuPG without having to install qt3? (because i think it needs pinentry-qt...)
_________________
The message is Feierei, alder! The message is Gude Laune, alder! [Sven]
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Wed Nov 19, 2008 8:28 am    Post subject: Reply with quote

I just tried to emerge kde-live using emerge @kdebase-live and pykde4 and plasma-workspace failed. Also kdebase-startkde wouldn't go without plasma-workspaces. A few others wouldn't install either. I tried a layman -S but not much new got pulled in - no difference in emerging the failed packages.

So I just tried emerge --sync to see what else was out there in the last couple days. Now emerge -avuD world wants to reinstall all sorts of packages:
Code:
Total: 212 packages (2 upgrades, 3 new, 6 in new slots, 201 reinstalls), Size of downloads: 3,532 kB
Fetch Restriction: 1 package
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/kde-crazy


I'm about to give up on this since I don't have the skills. But before I yank kde-crazy, can someone explain why it wants to re-emerge all these packages that seem unrelated (openoffice-bin?)

cheers, Jd

[edit] DOH! I owe all those who responded an apology for my carelessness. I went back and checked my history and found out I forgot to add the -u to my emerge -av world. I only thought I was doing -avuD world but actually must have modified a previous command (emerge -av @kdebase-live) instead of typing out -avuD. Dang - hate it when that happens. So you guys who tried to help below - sorry.


Last edited by hunky on Wed Nov 19, 2008 9:27 pm; edited 1 time in total
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Nov 19, 2008 5:41 pm    Post subject: Reply with quote

Don't know if it will help in your case, but early-on when I started running kdesvn I quickly adopted using the emerge -1 @kde-whatever and also with the qt-split stuff in order to keep all this stuff out of my world file. IMO having lots of the kdesvn split packages in world tends to pull in lots of other stuff- at least that's my theory (haven't really taken the time to actuall see what pulls in what).

Not sure why you would have all those reinstalls- weird.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Wed Nov 19, 2008 6:03 pm    Post subject: Reply with quote

Thanks wrc1944 - I suppose I could uninstall all of kde-live and give your method a try. Curious what your rational was for keeping it out of world file - I'm not fully aware of world file implications.

cheers, JD

or.. would I just edit the world file and take all references out for kde-live?

[edit] I see in /var/lib/portage/ there's now world and world_sets. In world_sets, there's
@kdebase-live
@system

Perhaps the @system has something to do with reinstalls?
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Wed Nov 19, 2008 6:39 pm    Post subject: Reply with quote

does that also happen when you do emerge -avuD @world?
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Nov 19, 2008 6:56 pm    Post subject: Reply with quote

hunky,
No need to uninstall kde-live- just edit the world file and take all references out for kde-live and qt-split, if you have any.
My objective was to not have any svn stuff in my regular "world" file when I do regular -uD updates.

Unless I'm mistaken, you should leave the world_sets entries in.

Not sure if @system has anything to do with your huge reinstall list. What files are in that list?

Run emerge -ep @system (should list about 102 system files), and compare that list with the other to see if any system files are also in it.

BTW, before updating kdebase-live or any svn stuff, it's a good idea to run and complete successfully both emerge -uD @system and emerge -uD @world first, and maybe a revdep-rebuild -p just to check system consistency.

EDIT: Should have mentioned this above- the svn and overlay stuff is changing hourly with different packages and dependencies added/removed, so if all this stuff is added to the world file when you merge it can really become bloated with invalid entries, causing various problems later on.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Wed Nov 19, 2008 7:31 pm    Post subject: Reply with quote

ok, sorry to bother you. I haven't rebooted in awhile and somehow overnight it fixed itself. I run a few servers at work and they reset their services at 4am every morning automatically - not sure if desktop gentoo does that but seems like something must have. But something has changed.

Before I posted my last question I double checked that emerge -avuD world was the command I gave and the results I posted with 200 some re-installs. But now, emerge -avuD (from a shell from work - let's just say VPN) it returns what I would expect - no reinstalls and just some upgrades and the packages that won't install.
[edit] what an idiot. apparently I thought I doublechecked - I was sleepy. But I had actually done an -av world instead of avu world. Looks like gimpel caught that though I didn't understand his post originally. Many apologies.. [/edit]

I looked in the regular world file and there weren't any references to kde-live - except for kde-base/systemsettings and kcontrol which I emerged after I noticed they weren't installed after my failed packages on @kdebase-live. (forgot the -1)

So now I just have to resolve installing plasma-workspace-9999, ksysguard-9999, krunner-9999, and kde-startkde-9999.

thanks much for your help.


Last edited by hunky on Wed Nov 19, 2008 9:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Wed Nov 19, 2008 8:36 pm    Post subject: Reply with quote

I'm assuming that I cannot really use kde4-live without plasma-workspace and startkde? Not sure about plasma-workspace - maybe kde can run without it but do I need startkde-9999 to run it?

I cannot get pykde4 to compile so I put -python in the package.use file for plasma-workspace. I cannot install startkde without plasma-workspace being pulled in. Here's how it dies:
Code:
Linking CXX shared module ../../../lib/plasma_applet_systemtray.so
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp: In member function 'void Panel::updateSize()':
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp:229: warning: converting to 'int' from 'qreal'
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp:236: warning: converting to 'int' from 'qreal'
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp: In member function 'void Panel::updateBorders(const QRect&)':
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp:329: error: 'toolBoxItem' was not declared in this scope
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp: In member function 'void Panel::themeUpdated()':
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp:488: warning: passing 'qreal' for argument 1 to 'QSize::QSize(int, int)'
/var/tmp/portage/kde-base/plasma-workspace-9999/work/plasma-workspace/plasma/containments/panel/panel.cpp:488: warning: passing 'qreal' for argument 2 to 'QSize::QSize(int, int)'
make[2]: *** [plasma/containments/panel/CMakeFiles/plasma_containment_panel.dir/panel.o] Error 1
make[1]: *** [plasma/containments/panel/CMakeFiles/plasma_containment_panel.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 42%] Built target plasma_applet_systemtray
Scanning dependencies of target plasma_containment_saverdesktop
[ 43%] Building CXX object plasma/containments/screensaver/CMakeFiles/plasma_containment_saverdesktop.dir/desktop.o
[ 43%] Building CXX object plasma/containments/screensaver/CMakeFiles/plasma_containment_saverdesktop.dir/plasma_containment_saverdesktop_automoc.o
Linking CXX shared module ../../../lib/plasma_containment_saverdesktop.so
[ 43%] Built target plasma_containment_saverdesktop
make: *** [all] Error 2
 *
 * ERROR: kde-base/plasma-workspace-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3514:  Called kde4-meta_src_compile
 *             environment, line 2683:  Called kde4-meta_src_make
 *             environment, line 2776:  Called kde4-base_src_make
 *             environment, line 2414:  Called cmake-utils_src_make
 *             environment, line  896:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *  The die message:
 *   Make failed!

Has this been resolved somehow or should I just be patient and wait for a fix?

cheers, JD
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Wed Nov 19, 2008 11:57 pm    Post subject: Reply with quote

4.1.80, it's there! :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
jeanfrancis
Veteran
Veteran


Joined: 17 Dec 2005
Posts: 1482
Location: Québec, Canada

PostPosted: Thu Nov 20, 2008 1:22 am    Post subject: Reply with quote

It's here, but I can't fetch anything :(
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Thu Nov 20, 2008 6:11 am    Post subject: Reply with quote

well, its me again. I rebooted and now can't get into kde at all. I get a new (definitely not my old 3.5) kdm login screen with my user name and if I type the password the screen jumps around a bit - goes black like I'm logging in then comes back to the login screen. I'm guessing it is because I can't get plasma-workspace, ksysguard, krunner, and kdebase-startkde to compile. But choosing kde-3.5(previous) doesn't work either.

I chose from the Menu dialog - console log in and then did startx and got into fvwm-crystal. Hopefully I can figure out how to get back to kde with someone's help.

Seems my compile failures mention qreal in the warings - like this: (well - I guess I don't know how to copy and paste in fvwm), but basically it says what is in my error message a few messages back in this thread.

cheers, Jd


Last edited by hunky on Thu Nov 20, 2008 7:36 am; edited 1 time in total
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Thu Nov 20, 2008 6:21 am    Post subject: Reply with quote

can't login with kdm either so back to gdm and gnome.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
lordcris
Apprentice
Apprentice


Joined: 09 Jul 2002
Posts: 248

PostPosted: Thu Nov 20, 2008 10:56 am    Post subject: Reply with quote

jeanfrancis wrote:
It's here, but I can't fetch anything :(


neither can i.
anybody knows an updated mirror?


4.1.80 is not available even in the official ftp

ftp://ftp.kde.org/pub/kde/unstable/

is it really released?


Last edited by lordcris on Thu Nov 20, 2008 11:01 am; edited 1 time in total
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Thu Nov 20, 2008 11:00 am    Post subject: Reply with quote

jeanfrancis wrote:
It's here, but I can't fetch anything :(


Same problem here!! Where the fuck are the tar.gz???
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Thu Nov 20, 2008 11:34 am    Post subject: Reply with quote

marcus84 wrote:
jeanfrancis wrote:
It's here, but I can't fetch anything :(


Same problem here!! Where the fuck are the tar.gz???


its available via svn http://websvn.kde.org/tags/KDE/4.1.80/

but it seems that the creation of the tar.gz takes a while...
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Thu Nov 20, 2008 11:38 am    Post subject: Reply with quote

gaelic_cargal wrote:
marcus84 wrote:
jeanfrancis wrote:
It's here, but I can't fetch anything :(


Same problem here!! Where the fuck are the tar.gz???


its available via svn http://websvn.kde.org/tags/KDE/4.1.80/

but it seems that the creation of the tar.gz takes a while...


We'll have to wait...
Back to top
View user's profile Send private message
d-fens
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jan 2004
Posts: 92

PostPosted: Thu Nov 20, 2008 11:46 am    Post subject: Reply with quote

to get plasma-workspace-9999 to compile i had to add
ksysguard to KMEXTRACTONLY of plasma-workspace ebuild and start the consolekit service in order to log in

plasma places the "ad widget" icon now always on the left, under the kmenu icon ...hmmm
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Thu Nov 20, 2008 12:19 pm    Post subject: Reply with quote

d-fens wrote:
to get plasma-workspace-9999 to compile i had to add
ksysguard to KMEXTRACTONLY of plasma-workspace ebuild and start the consolekit service in order to log in

plasma places the "ad widget" icon now always on the left, under the kmenu icon ...hmmm


how do you start consolekit?
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
d-fens
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jan 2004
Posts: 92

PostPosted: Thu Nov 20, 2008 12:26 pm    Post subject: Reply with quote

Code:
vi /usr/portage/local/layman/kde-crazy/kde-base/plasma-workspace/plasma-workspace-9999.ebuild

add ksysguard the file so KMEXTRACTONLY reads
Code:

KMEXTRACTONLY=" krunner/dbus/org.freedesktop.ScreenSaver.xml
        krunner/dbus/org.kde.krunner.App.xml
        ksmserver/org.kde.KSMServerInterface.xml
        libs/kworkspace/
        libs/taskmanager/
        ksysguard"


do a
Code:
ebuild /usr/portage/local/layman/kde-crazy/kde-base/plasma-workspace/plasma-workspace-9999.ebuild digest


and emerge it.

i couldn't log in so i had to start consolekit service (rc-update add consolekit default) and /etc/init.d/consolekit start
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 13, 14, 15 ... 28, 29, 30  Next
Page 14 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum